Makefile.in 41 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757758759760761762763764765766767768769770771772773774775776777778779780781782783784785786787788789790791792793794795796797798799800801802803804805806807808809810811812813814815816817818819820821822823824825826827828829830831832833834835836837838839840841842843844845846847848849850851852853854855856857858859860861862863864865866867868869870871872873874875876877878879880881882883884885886887888889890891892893894895896897898899900901902903904905906907908909910911912913914915916917918919920921922923924925926927928929930931932933934935936937938939940941942943944945946947948949950951952953954955956957958959960961962963964965966967968969970971972973974975976977978979980981982983984985986987988989990991992993994995996997998999100010011002100310041005100610071008100910101011101210131014101510161017101810191020102110221023102410251026102710281029103010311032103310341035103610371038103910401041104210431044104510461047104810491050105110521053105410551056105710581059106010611062106310641065106610671068106910701071107210731074107510761077107810791080108110821083108410851086108710881089109010911092109310941095109610971098109911001101110211031104110511061107110811091110111111121113111411151116111711181119112011211122112311241125112611271128112911301131113211331134113511361137113811391140114111421143114411451146114711481149115011511152115311541155115611571158115911601161116211631164116511661167116811691170117111721173117411751176117711781179118011811182118311841185118611871188118911901191119211931194119511961197119811991200120112021203120412051206120712081209121012111212121312141215121612171218121912201221122212231224122512261227122812291230123112321233123412351236123712381239124012411242124312441245124612471248
  1. # Makefile.in generated by automake 1.16.3 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994-2020 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. @SET_MAKE@
  12. #
  13. # Copyright (c) 2005, 2009 Thorsten Kukuk <kukuk@suse.de>
  14. #
  15. VPATH = @srcdir@
  16. am__is_gnu_make = { \
  17. if test -z '$(MAKELEVEL)'; then \
  18. false; \
  19. elif test -n '$(MAKE_HOST)'; then \
  20. true; \
  21. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  22. true; \
  23. else \
  24. false; \
  25. fi; \
  26. }
  27. am__make_running_with_option = \
  28. case $${target_option-} in \
  29. ?) ;; \
  30. *) echo "am__make_running_with_option: internal error: invalid" \
  31. "target option '$${target_option-}' specified" >&2; \
  32. exit 1;; \
  33. esac; \
  34. has_opt=no; \
  35. sane_makeflags=$$MAKEFLAGS; \
  36. if $(am__is_gnu_make); then \
  37. sane_makeflags=$$MFLAGS; \
  38. else \
  39. case $$MAKEFLAGS in \
  40. *\\[\ \ ]*) \
  41. bs=\\; \
  42. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  43. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  44. esac; \
  45. fi; \
  46. skip_next=no; \
  47. strip_trailopt () \
  48. { \
  49. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  50. }; \
  51. for flg in $$sane_makeflags; do \
  52. test $$skip_next = yes && { skip_next=no; continue; }; \
  53. case $$flg in \
  54. *=*|--*) continue;; \
  55. -*I) strip_trailopt 'I'; skip_next=yes;; \
  56. -*I?*) strip_trailopt 'I';; \
  57. -*O) strip_trailopt 'O'; skip_next=yes;; \
  58. -*O?*) strip_trailopt 'O';; \
  59. -*l) strip_trailopt 'l'; skip_next=yes;; \
  60. -*l?*) strip_trailopt 'l';; \
  61. -[dEDm]) skip_next=yes;; \
  62. -[JT]) skip_next=yes;; \
  63. esac; \
  64. case $$flg in \
  65. *$$target_option*) has_opt=yes; break;; \
  66. esac; \
  67. done; \
  68. test $$has_opt = yes
  69. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  70. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  71. pkgdatadir = $(datadir)/@PACKAGE@
  72. pkgincludedir = $(includedir)/@PACKAGE@
  73. pkglibdir = $(libdir)/@PACKAGE@
  74. pkglibexecdir = $(libexecdir)/@PACKAGE@
  75. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  76. install_sh_DATA = $(install_sh) -c -m 644
  77. install_sh_PROGRAM = $(install_sh) -c
  78. install_sh_SCRIPT = $(install_sh) -c
  79. INSTALL_HEADER = $(INSTALL_DATA)
  80. transform = $(program_transform_name)
  81. NORMAL_INSTALL = :
  82. PRE_INSTALL = :
  83. POST_INSTALL = :
  84. NORMAL_UNINSTALL = :
  85. PRE_UNINSTALL = :
  86. POST_UNINSTALL = :
  87. build_triplet = @build@
  88. host_triplet = @host@
  89. @HAVE_VERSIONING_TRUE@am__append_1 = -Wl,--version-script=$(srcdir)/../modules.map
  90. subdir = modules/pam_env
  91. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  92. am__aclocal_m4_deps = $(top_srcdir)/m4/attribute.m4 \
  93. $(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
  94. $(top_srcdir)/m4/intlmacosx.m4 \
  95. $(top_srcdir)/m4/jh_path_xml_catalog.m4 \
  96. $(top_srcdir)/m4/ld-O1.m4 $(top_srcdir)/m4/ld-as-needed.m4 \
  97. $(top_srcdir)/m4/ld-no-undefined.m4 \
  98. $(top_srcdir)/m4/ld-z-now.m4 $(top_srcdir)/m4/lib-ld.m4 \
  99. $(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
  100. $(top_srcdir)/m4/libprelude.m4 $(top_srcdir)/m4/libtool.m4 \
  101. $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
  102. $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
  103. $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
  104. $(top_srcdir)/m4/progtest.m4 \
  105. $(top_srcdir)/m4/warn_lang_flags.m4 \
  106. $(top_srcdir)/m4/warnings.m4 $(top_srcdir)/configure.ac
  107. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  108. $(ACLOCAL_M4)
  109. DIST_COMMON = $(srcdir)/Makefile.am $(dist_check_SCRIPTS) \
  110. $(am__dist_noinst_DATA_DIST) $(dist_secureconf_DATA) \
  111. $(dist_sysconf_DATA) $(am__DIST_COMMON)
  112. mkinstalldirs = $(install_sh) -d
  113. CONFIG_HEADER = $(top_builddir)/config.h
  114. CONFIG_CLEAN_FILES =
  115. CONFIG_CLEAN_VPATH_FILES =
  116. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  117. am__vpath_adj = case $$p in \
  118. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  119. *) f=$$p;; \
  120. esac;
  121. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  122. am__install_max = 40
  123. am__nobase_strip_setup = \
  124. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  125. am__nobase_strip = \
  126. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  127. am__nobase_list = $(am__nobase_strip_setup); \
  128. for p in $$list; do echo "$$p $$p"; done | \
  129. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  130. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  131. if (++n[$$2] == $(am__install_max)) \
  132. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  133. END { for (dir in files) print dir, files[dir] }'
  134. am__base_list = \
  135. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  136. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  137. am__uninstall_files_from_dir = { \
  138. test -z "$$files" \
  139. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  140. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  141. $(am__cd) "$$dir" && rm -f $$files; }; \
  142. }
  143. am__installdirs = "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(man5dir)" \
  144. "$(DESTDIR)$(man8dir)" "$(DESTDIR)$(secureconfdir)" \
  145. "$(DESTDIR)$(sysconfdir)"
  146. LTLIBRARIES = $(securelib_LTLIBRARIES)
  147. pam_env_la_DEPENDENCIES = $(top_builddir)/libpam/libpam.la
  148. pam_env_la_SOURCES = pam_env.c
  149. pam_env_la_OBJECTS = pam_env.lo
  150. AM_V_lt = $(am__v_lt_@AM_V@)
  151. am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
  152. am__v_lt_0 = --silent
  153. am__v_lt_1 =
  154. AM_V_P = $(am__v_P_@AM_V@)
  155. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  156. am__v_P_0 = false
  157. am__v_P_1 = :
  158. AM_V_GEN = $(am__v_GEN_@AM_V@)
  159. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  160. am__v_GEN_0 = @echo " GEN " $@;
  161. am__v_GEN_1 =
  162. AM_V_at = $(am__v_at_@AM_V@)
  163. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  164. am__v_at_0 = @
  165. am__v_at_1 =
  166. DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
  167. depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
  168. am__maybe_remake_depfiles = depfiles
  169. am__depfiles_remade = ./$(DEPDIR)/pam_env.Plo
  170. am__mv = mv -f
  171. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  172. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  173. LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  174. $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
  175. $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  176. $(AM_CFLAGS) $(CFLAGS)
  177. AM_V_CC = $(am__v_CC_@AM_V@)
  178. am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
  179. am__v_CC_0 = @echo " CC " $@;
  180. am__v_CC_1 =
  181. CCLD = $(CC)
  182. LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  183. $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  184. $(AM_LDFLAGS) $(LDFLAGS) -o $@
  185. AM_V_CCLD = $(am__v_CCLD_@AM_V@)
  186. am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
  187. am__v_CCLD_0 = @echo " CCLD " $@;
  188. am__v_CCLD_1 =
  189. SOURCES = pam_env.c
  190. DIST_SOURCES = pam_env.c
  191. am__can_run_installinfo = \
  192. case $$AM_UPDATE_INFO_DIR in \
  193. n|no|NO) false;; \
  194. *) (install-info --version) >/dev/null 2>&1;; \
  195. esac
  196. man5dir = $(mandir)/man5
  197. man8dir = $(mandir)/man8
  198. NROFF = nroff
  199. MANS = $(dist_man_MANS)
  200. am__dist_noinst_DATA_DIST = README
  201. DATA = $(dist_noinst_DATA) $(dist_secureconf_DATA) \
  202. $(dist_sysconf_DATA)
  203. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  204. # Read a list of newline-separated strings from the standard input,
  205. # and print each of them once, without duplicates. Input order is
  206. # *not* preserved.
  207. am__uniquify_input = $(AWK) '\
  208. BEGIN { nonempty = 0; } \
  209. { items[$$0] = 1; nonempty = 1; } \
  210. END { if (nonempty) { for (i in items) print i; }; } \
  211. '
  212. # Make sure the list of sources is unique. This is necessary because,
  213. # e.g., the same source file might be shared among _SOURCES variables
  214. # for different programs/libraries.
  215. am__define_uniq_tagged_files = \
  216. list='$(am__tagged_files)'; \
  217. unique=`for i in $$list; do \
  218. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  219. done | $(am__uniquify_input)`
  220. ETAGS = etags
  221. CTAGS = ctags
  222. am__tty_colors_dummy = \
  223. mgn= red= grn= lgn= blu= brg= std=; \
  224. am__color_tests=no
  225. am__tty_colors = { \
  226. $(am__tty_colors_dummy); \
  227. if test "X$(AM_COLOR_TESTS)" = Xno; then \
  228. am__color_tests=no; \
  229. elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  230. am__color_tests=yes; \
  231. elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  232. am__color_tests=yes; \
  233. fi; \
  234. if test $$am__color_tests = yes; then \
  235. red=''; \
  236. grn=''; \
  237. lgn=''; \
  238. blu=''; \
  239. mgn=''; \
  240. brg=''; \
  241. std=''; \
  242. fi; \
  243. }
  244. am__recheck_rx = ^[ ]*:recheck:[ ]*
  245. am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
  246. am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
  247. # A command that, given a newline-separated list of test names on the
  248. # standard input, print the name of the tests that are to be re-run
  249. # upon "make recheck".
  250. am__list_recheck_tests = $(AWK) '{ \
  251. recheck = 1; \
  252. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  253. { \
  254. if (rc < 0) \
  255. { \
  256. if ((getline line2 < ($$0 ".log")) < 0) \
  257. recheck = 0; \
  258. break; \
  259. } \
  260. else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  261. { \
  262. recheck = 0; \
  263. break; \
  264. } \
  265. else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  266. { \
  267. break; \
  268. } \
  269. }; \
  270. if (recheck) \
  271. print $$0; \
  272. close ($$0 ".trs"); \
  273. close ($$0 ".log"); \
  274. }'
  275. # A command that, given a newline-separated list of test names on the
  276. # standard input, create the global log from their .trs and .log files.
  277. am__create_global_log = $(AWK) ' \
  278. function fatal(msg) \
  279. { \
  280. print "fatal: making $@: " msg | "cat >&2"; \
  281. exit 1; \
  282. } \
  283. function rst_section(header) \
  284. { \
  285. print header; \
  286. len = length(header); \
  287. for (i = 1; i <= len; i = i + 1) \
  288. printf "="; \
  289. printf "\n\n"; \
  290. } \
  291. { \
  292. copy_in_global_log = 1; \
  293. global_test_result = "RUN"; \
  294. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  295. { \
  296. if (rc < 0) \
  297. fatal("failed to read from " $$0 ".trs"); \
  298. if (line ~ /$(am__global_test_result_rx)/) \
  299. { \
  300. sub("$(am__global_test_result_rx)", "", line); \
  301. sub("[ ]*$$", "", line); \
  302. global_test_result = line; \
  303. } \
  304. else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  305. copy_in_global_log = 0; \
  306. }; \
  307. if (copy_in_global_log) \
  308. { \
  309. rst_section(global_test_result ": " $$0); \
  310. while ((rc = (getline line < ($$0 ".log"))) != 0) \
  311. { \
  312. if (rc < 0) \
  313. fatal("failed to read from " $$0 ".log"); \
  314. print line; \
  315. }; \
  316. printf "\n"; \
  317. }; \
  318. close ($$0 ".trs"); \
  319. close ($$0 ".log"); \
  320. }'
  321. # Restructured Text title.
  322. am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  323. # Solaris 10 'make', and several other traditional 'make' implementations,
  324. # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
  325. # by disabling -e (using the XSI extension "set +e") if it's set.
  326. am__sh_e_setup = case $$- in *e*) set +e;; esac
  327. # Default flags passed to test drivers.
  328. am__common_driver_flags = \
  329. --color-tests "$$am__color_tests" \
  330. --enable-hard-errors "$$am__enable_hard_errors" \
  331. --expect-failure "$$am__expect_failure"
  332. # To be inserted before the command running the test. Creates the
  333. # directory for the log if needed. Stores in $dir the directory
  334. # containing $f, in $tst the test, in $log the log. Executes the
  335. # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  336. # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
  337. # will run the test scripts (or their associated LOG_COMPILER, if
  338. # thy have one).
  339. am__check_pre = \
  340. $(am__sh_e_setup); \
  341. $(am__vpath_adj_setup) $(am__vpath_adj) \
  342. $(am__tty_colors); \
  343. srcdir=$(srcdir); export srcdir; \
  344. case "$@" in \
  345. */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
  346. *) am__odir=.;; \
  347. esac; \
  348. test "x$$am__odir" = x"." || test -d "$$am__odir" \
  349. || $(MKDIR_P) "$$am__odir" || exit $$?; \
  350. if test -f "./$$f"; then dir=./; \
  351. elif test -f "$$f"; then dir=; \
  352. else dir="$(srcdir)/"; fi; \
  353. tst=$$dir$$f; log='$@'; \
  354. if test -n '$(DISABLE_HARD_ERRORS)'; then \
  355. am__enable_hard_errors=no; \
  356. else \
  357. am__enable_hard_errors=yes; \
  358. fi; \
  359. case " $(XFAIL_TESTS) " in \
  360. *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
  361. am__expect_failure=yes;; \
  362. *) \
  363. am__expect_failure=no;; \
  364. esac; \
  365. $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  366. # A shell command to get the names of the tests scripts with any registered
  367. # extension removed (i.e., equivalently, the names of the test logs, with
  368. # the '.log' extension removed). The result is saved in the shell variable
  369. # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
  370. # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  371. # since that might cause problem with VPATH rewrites for suffix-less tests.
  372. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  373. am__set_TESTS_bases = \
  374. bases='$(TEST_LOGS)'; \
  375. bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  376. bases=`echo $$bases`
  377. AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
  378. RECHECK_LOGS = $(TEST_LOGS)
  379. AM_RECURSIVE_TARGETS = check recheck
  380. TEST_SUITE_LOG = test-suite.log
  381. TEST_EXTENSIONS = @EXEEXT@ .test
  382. LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  383. LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  384. am__set_b = \
  385. case '$@' in \
  386. */*) \
  387. case '$*' in \
  388. */*) b='$*';; \
  389. *) b=`echo '$@' | sed 's/\.log$$//'`; \
  390. esac;; \
  391. *) \
  392. b='$*';; \
  393. esac
  394. am__test_logs1 = $(TESTS:=.log)
  395. am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
  396. TEST_LOGS = $(am__test_logs2:.test.log=.log)
  397. TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  398. TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  399. $(TEST_LOG_FLAGS)
  400. am__DIST_COMMON = $(dist_man_MANS) $(srcdir)/Makefile.in \
  401. $(top_srcdir)/build-aux/depcomp \
  402. $(top_srcdir)/build-aux/test-driver
  403. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  404. ACLOCAL = @ACLOCAL@
  405. AMTAR = @AMTAR@
  406. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  407. AR = @AR@
  408. AUTOCONF = @AUTOCONF@
  409. AUTOHEADER = @AUTOHEADER@
  410. AUTOMAKE = @AUTOMAKE@
  411. AWK = @AWK@
  412. BROWSER = @BROWSER@
  413. BUILD_CFLAGS = @BUILD_CFLAGS@
  414. BUILD_CPPFLAGS = @BUILD_CPPFLAGS@
  415. BUILD_LDFLAGS = @BUILD_LDFLAGS@
  416. CC = @CC@
  417. CCDEPMODE = @CCDEPMODE@
  418. CC_FOR_BUILD = @CC_FOR_BUILD@
  419. CFLAGS = @CFLAGS@
  420. CPP = @CPP@
  421. CPPFLAGS = @CPPFLAGS@
  422. CRYPTO_LIBS = @CRYPTO_LIBS@
  423. CRYPT_CFLAGS = @CRYPT_CFLAGS@
  424. CRYPT_LIBS = @CRYPT_LIBS@
  425. CYGPATH_W = @CYGPATH_W@
  426. DEFS = @DEFS@
  427. DEPDIR = @DEPDIR@
  428. DLLTOOL = @DLLTOOL@
  429. DSYMUTIL = @DSYMUTIL@
  430. DUMPBIN = @DUMPBIN@
  431. ECHO_C = @ECHO_C@
  432. ECHO_N = @ECHO_N@
  433. ECHO_T = @ECHO_T@
  434. ECONF_CFLAGS = @ECONF_CFLAGS@
  435. ECONF_LIBS = @ECONF_LIBS@
  436. EGREP = @EGREP@
  437. EXEEXT = @EXEEXT@
  438. EXE_CFLAGS = @EXE_CFLAGS@
  439. EXE_LDFLAGS = @EXE_LDFLAGS@
  440. FGREP = @FGREP@
  441. FO2PDF = @FO2PDF@
  442. GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
  443. GMSGFMT = @GMSGFMT@
  444. GMSGFMT_015 = @GMSGFMT_015@
  445. GREP = @GREP@
  446. INSTALL = @INSTALL@
  447. INSTALL_DATA = @INSTALL_DATA@
  448. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  449. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  450. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  451. INTLLIBS = @INTLLIBS@
  452. INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
  453. LD = @LD@
  454. LDFLAGS = @LDFLAGS@
  455. LEX = @LEX@
  456. LEXLIB = @LEXLIB@
  457. LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
  458. LIBAUDIT = @LIBAUDIT@
  459. LIBCRYPT = @LIBCRYPT@
  460. LIBDB = @LIBDB@
  461. LIBDL = @LIBDL@
  462. LIBICONV = @LIBICONV@
  463. LIBINTL = @LIBINTL@
  464. LIBOBJS = @LIBOBJS@
  465. LIBPRELUDE_CFLAGS = @LIBPRELUDE_CFLAGS@
  466. LIBPRELUDE_CONFIG = @LIBPRELUDE_CONFIG@
  467. LIBPRELUDE_CONFIG_PREFIX = @LIBPRELUDE_CONFIG_PREFIX@
  468. LIBPRELUDE_LDFLAGS = @LIBPRELUDE_LDFLAGS@
  469. LIBPRELUDE_LIBS = @LIBPRELUDE_LIBS@
  470. LIBPRELUDE_PREFIX = @LIBPRELUDE_PREFIX@
  471. LIBPRELUDE_PTHREAD_CFLAGS = @LIBPRELUDE_PTHREAD_CFLAGS@
  472. LIBS = @LIBS@
  473. LIBSELINUX = @LIBSELINUX@
  474. LIBTOOL = @LIBTOOL@
  475. LIPO = @LIPO@
  476. LN_S = @LN_S@
  477. LTLIBICONV = @LTLIBICONV@
  478. LTLIBINTL = @LTLIBINTL@
  479. LTLIBOBJS = @LTLIBOBJS@
  480. LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
  481. MAKEINFO = @MAKEINFO@
  482. MANIFEST_TOOL = @MANIFEST_TOOL@
  483. MKDIR_P = @MKDIR_P@
  484. MSGFMT = @MSGFMT@
  485. MSGFMT_015 = @MSGFMT_015@
  486. MSGMERGE = @MSGMERGE@
  487. NIS_CFLAGS = @NIS_CFLAGS@
  488. NIS_LIBS = @NIS_LIBS@
  489. NM = @NM@
  490. NMEDIT = @NMEDIT@
  491. NSL_CFLAGS = @NSL_CFLAGS@
  492. NSL_LIBS = @NSL_LIBS@
  493. OBJDUMP = @OBJDUMP@
  494. OBJEXT = @OBJEXT@
  495. OTOOL = @OTOOL@
  496. OTOOL64 = @OTOOL64@
  497. PACKAGE = @PACKAGE@
  498. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  499. PACKAGE_NAME = @PACKAGE_NAME@
  500. PACKAGE_STRING = @PACKAGE_STRING@
  501. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  502. PACKAGE_URL = @PACKAGE_URL@
  503. PACKAGE_VERSION = @PACKAGE_VERSION@
  504. PATH_SEPARATOR = @PATH_SEPARATOR@
  505. PKG_CONFIG = @PKG_CONFIG@
  506. PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
  507. PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
  508. POSUB = @POSUB@
  509. RANLIB = @RANLIB@
  510. SCONFIGDIR = @SCONFIGDIR@
  511. SECUREDIR = @SECUREDIR@
  512. SED = @SED@
  513. SET_MAKE = @SET_MAKE@
  514. SHELL = @SHELL@
  515. STRINGPARAM_HMAC = @STRINGPARAM_HMAC@
  516. STRINGPARAM_VENDORDIR = @STRINGPARAM_VENDORDIR@
  517. STRIP = @STRIP@
  518. TIRPC_CFLAGS = @TIRPC_CFLAGS@
  519. TIRPC_LIBS = @TIRPC_LIBS@
  520. USE_NLS = @USE_NLS@
  521. VERSION = @VERSION@
  522. WARN_CFLAGS = @WARN_CFLAGS@
  523. XGETTEXT = @XGETTEXT@
  524. XGETTEXT_015 = @XGETTEXT_015@
  525. XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
  526. XMLCATALOG = @XMLCATALOG@
  527. XMLLINT = @XMLLINT@
  528. XML_CATALOG_FILE = @XML_CATALOG_FILE@
  529. XSLTPROC = @XSLTPROC@
  530. YACC = @YACC@
  531. YFLAGS = @YFLAGS@
  532. abs_builddir = @abs_builddir@
  533. abs_srcdir = @abs_srcdir@
  534. abs_top_builddir = @abs_top_builddir@
  535. abs_top_srcdir = @abs_top_srcdir@
  536. ac_ct_AR = @ac_ct_AR@
  537. ac_ct_CC = @ac_ct_CC@
  538. ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
  539. am__include = @am__include@
  540. am__leading_dot = @am__leading_dot@
  541. am__quote = @am__quote@
  542. am__tar = @am__tar@
  543. am__untar = @am__untar@
  544. bindir = @bindir@
  545. build = @build@
  546. build_alias = @build_alias@
  547. build_cpu = @build_cpu@
  548. build_os = @build_os@
  549. build_vendor = @build_vendor@
  550. builddir = @builddir@
  551. datadir = @datadir@
  552. datarootdir = @datarootdir@
  553. docdir = @docdir@
  554. dvidir = @dvidir@
  555. exec_prefix = @exec_prefix@
  556. host = @host@
  557. host_alias = @host_alias@
  558. host_cpu = @host_cpu@
  559. host_os = @host_os@
  560. host_vendor = @host_vendor@
  561. htmldir = @htmldir@
  562. includedir = @includedir@
  563. infodir = @infodir@
  564. install_sh = @install_sh@
  565. libdir = @libdir@
  566. libexecdir = @libexecdir@
  567. localedir = @localedir@
  568. localstatedir = @localstatedir@
  569. mandir = @mandir@
  570. mkdir_p = @mkdir_p@
  571. oldincludedir = @oldincludedir@
  572. pam_xauth_path = @pam_xauth_path@
  573. pdfdir = @pdfdir@
  574. prefix = @prefix@
  575. program_transform_name = @program_transform_name@
  576. psdir = @psdir@
  577. sbindir = @sbindir@
  578. sharedstatedir = @sharedstatedir@
  579. srcdir = @srcdir@
  580. sysconfdir = @sysconfdir@
  581. systemdunitdir = @systemdunitdir@
  582. target_alias = @target_alias@
  583. top_build_prefix = @top_build_prefix@
  584. top_builddir = @top_builddir@
  585. top_srcdir = @top_srcdir@
  586. CLEANFILES = *~
  587. MAINTAINERCLEANFILES = $(MANS) README
  588. EXTRA_DIST = $(XMLS)
  589. @HAVE_DOC_TRUE@dist_man_MANS = pam_env.conf.5 pam_env.8 environment.5
  590. XMLS = README.xml pam_env.conf.5.xml pam_env.8.xml
  591. dist_check_SCRIPTS = tst-pam_env
  592. TESTS = $(dist_check_SCRIPTS)
  593. securelibdir = $(SECUREDIR)
  594. secureconfdir = $(SCONFIGDIR)
  595. AM_CFLAGS = -I$(top_srcdir)/libpam/include -I$(top_srcdir)/libpamc/include \
  596. -DDEFAULT_CONF_FILE=\"$(SCONFIGDIR)/pam_env.conf\" $(WARN_CFLAGS)
  597. AM_LDFLAGS = -no-undefined -avoid-version -module $(am__append_1)
  598. securelib_LTLIBRARIES = pam_env.la
  599. pam_env_la_LIBADD = $(top_builddir)/libpam/libpam.la
  600. dist_secureconf_DATA = pam_env.conf
  601. dist_sysconf_DATA = environment
  602. @ENABLE_REGENERATE_MAN_TRUE@dist_noinst_DATA = README
  603. all: all-am
  604. .SUFFIXES:
  605. .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
  606. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  607. @for dep in $?; do \
  608. case '$(am__configure_deps)' in \
  609. *$$dep*) \
  610. ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  611. && { if test -f $@; then exit 0; else break; fi; }; \
  612. exit 1;; \
  613. esac; \
  614. done; \
  615. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu modules/pam_env/Makefile'; \
  616. $(am__cd) $(top_srcdir) && \
  617. $(AUTOMAKE) --gnu modules/pam_env/Makefile
  618. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  619. @case '$?' in \
  620. *config.status*) \
  621. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  622. *) \
  623. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  624. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  625. esac;
  626. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  627. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  628. $(top_srcdir)/configure: $(am__configure_deps)
  629. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  630. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  631. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  632. $(am__aclocal_m4_deps):
  633. install-securelibLTLIBRARIES: $(securelib_LTLIBRARIES)
  634. @$(NORMAL_INSTALL)
  635. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  636. list2=; for p in $$list; do \
  637. if test -f $$p; then \
  638. list2="$$list2 $$p"; \
  639. else :; fi; \
  640. done; \
  641. test -z "$$list2" || { \
  642. echo " $(MKDIR_P) '$(DESTDIR)$(securelibdir)'"; \
  643. $(MKDIR_P) "$(DESTDIR)$(securelibdir)" || exit 1; \
  644. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(securelibdir)'"; \
  645. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(securelibdir)"; \
  646. }
  647. uninstall-securelibLTLIBRARIES:
  648. @$(NORMAL_UNINSTALL)
  649. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  650. for p in $$list; do \
  651. $(am__strip_dir) \
  652. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(securelibdir)/$$f'"; \
  653. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(securelibdir)/$$f"; \
  654. done
  655. clean-securelibLTLIBRARIES:
  656. -test -z "$(securelib_LTLIBRARIES)" || rm -f $(securelib_LTLIBRARIES)
  657. @list='$(securelib_LTLIBRARIES)'; \
  658. locs=`for p in $$list; do echo $$p; done | \
  659. sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
  660. sort -u`; \
  661. test -z "$$locs" || { \
  662. echo rm -f $${locs}; \
  663. rm -f $${locs}; \
  664. }
  665. pam_env.la: $(pam_env_la_OBJECTS) $(pam_env_la_DEPENDENCIES) $(EXTRA_pam_env_la_DEPENDENCIES)
  666. $(AM_V_CCLD)$(LINK) -rpath $(securelibdir) $(pam_env_la_OBJECTS) $(pam_env_la_LIBADD) $(LIBS)
  667. mostlyclean-compile:
  668. -rm -f *.$(OBJEXT)
  669. distclean-compile:
  670. -rm -f *.tab.c
  671. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pam_env.Plo@am__quote@ # am--include-marker
  672. $(am__depfiles_remade):
  673. @$(MKDIR_P) $(@D)
  674. @echo '# dummy' >$@-t && $(am__mv) $@-t $@
  675. am--depfiles: $(am__depfiles_remade)
  676. .c.o:
  677. @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  678. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  679. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  680. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  681. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
  682. .c.obj:
  683. @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  684. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  685. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  686. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  687. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  688. .c.lo:
  689. @am__fastdepCC_TRUE@ $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  690. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
  691. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  692. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  693. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
  694. mostlyclean-libtool:
  695. -rm -f *.lo
  696. clean-libtool:
  697. -rm -rf .libs _libs
  698. install-man5: $(dist_man_MANS)
  699. @$(NORMAL_INSTALL)
  700. @list1=''; \
  701. list2='$(dist_man_MANS)'; \
  702. test -n "$(man5dir)" \
  703. && test -n "`echo $$list1$$list2`" \
  704. || exit 0; \
  705. echo " $(MKDIR_P) '$(DESTDIR)$(man5dir)'"; \
  706. $(MKDIR_P) "$(DESTDIR)$(man5dir)" || exit 1; \
  707. { for i in $$list1; do echo "$$i"; done; \
  708. if test -n "$$list2"; then \
  709. for i in $$list2; do echo "$$i"; done \
  710. | sed -n '/\.5[a-z]*$$/p'; \
  711. fi; \
  712. } | while read p; do \
  713. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  714. echo "$$d$$p"; echo "$$p"; \
  715. done | \
  716. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^5][0-9a-z]*$$,5,;x' \
  717. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  718. sed 'N;N;s,\n, ,g' | { \
  719. list=; while read file base inst; do \
  720. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  721. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man5dir)/$$inst'"; \
  722. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man5dir)/$$inst" || exit $$?; \
  723. fi; \
  724. done; \
  725. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  726. while read files; do \
  727. test -z "$$files" || { \
  728. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man5dir)'"; \
  729. $(INSTALL_DATA) $$files "$(DESTDIR)$(man5dir)" || exit $$?; }; \
  730. done; }
  731. uninstall-man5:
  732. @$(NORMAL_UNINSTALL)
  733. @list=''; test -n "$(man5dir)" || exit 0; \
  734. files=`{ for i in $$list; do echo "$$i"; done; \
  735. l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  736. sed -n '/\.5[a-z]*$$/p'; \
  737. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^5][0-9a-z]*$$,5,;x' \
  738. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  739. dir='$(DESTDIR)$(man5dir)'; $(am__uninstall_files_from_dir)
  740. install-man8: $(dist_man_MANS)
  741. @$(NORMAL_INSTALL)
  742. @list1=''; \
  743. list2='$(dist_man_MANS)'; \
  744. test -n "$(man8dir)" \
  745. && test -n "`echo $$list1$$list2`" \
  746. || exit 0; \
  747. echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
  748. $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
  749. { for i in $$list1; do echo "$$i"; done; \
  750. if test -n "$$list2"; then \
  751. for i in $$list2; do echo "$$i"; done \
  752. | sed -n '/\.8[a-z]*$$/p'; \
  753. fi; \
  754. } | while read p; do \
  755. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  756. echo "$$d$$p"; echo "$$p"; \
  757. done | \
  758. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  759. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  760. sed 'N;N;s,\n, ,g' | { \
  761. list=; while read file base inst; do \
  762. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  763. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
  764. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
  765. fi; \
  766. done; \
  767. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  768. while read files; do \
  769. test -z "$$files" || { \
  770. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
  771. $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
  772. done; }
  773. uninstall-man8:
  774. @$(NORMAL_UNINSTALL)
  775. @list=''; test -n "$(man8dir)" || exit 0; \
  776. files=`{ for i in $$list; do echo "$$i"; done; \
  777. l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  778. sed -n '/\.8[a-z]*$$/p'; \
  779. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  780. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  781. dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
  782. install-dist_secureconfDATA: $(dist_secureconf_DATA)
  783. @$(NORMAL_INSTALL)
  784. @list='$(dist_secureconf_DATA)'; test -n "$(secureconfdir)" || list=; \
  785. if test -n "$$list"; then \
  786. echo " $(MKDIR_P) '$(DESTDIR)$(secureconfdir)'"; \
  787. $(MKDIR_P) "$(DESTDIR)$(secureconfdir)" || exit 1; \
  788. fi; \
  789. for p in $$list; do \
  790. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  791. echo "$$d$$p"; \
  792. done | $(am__base_list) | \
  793. while read files; do \
  794. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(secureconfdir)'"; \
  795. $(INSTALL_DATA) $$files "$(DESTDIR)$(secureconfdir)" || exit $$?; \
  796. done
  797. uninstall-dist_secureconfDATA:
  798. @$(NORMAL_UNINSTALL)
  799. @list='$(dist_secureconf_DATA)'; test -n "$(secureconfdir)" || list=; \
  800. files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  801. dir='$(DESTDIR)$(secureconfdir)'; $(am__uninstall_files_from_dir)
  802. install-dist_sysconfDATA: $(dist_sysconf_DATA)
  803. @$(NORMAL_INSTALL)
  804. @list='$(dist_sysconf_DATA)'; test -n "$(sysconfdir)" || list=; \
  805. if test -n "$$list"; then \
  806. echo " $(MKDIR_P) '$(DESTDIR)$(sysconfdir)'"; \
  807. $(MKDIR_P) "$(DESTDIR)$(sysconfdir)" || exit 1; \
  808. fi; \
  809. for p in $$list; do \
  810. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  811. echo "$$d$$p"; \
  812. done | $(am__base_list) | \
  813. while read files; do \
  814. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(sysconfdir)'"; \
  815. $(INSTALL_DATA) $$files "$(DESTDIR)$(sysconfdir)" || exit $$?; \
  816. done
  817. uninstall-dist_sysconfDATA:
  818. @$(NORMAL_UNINSTALL)
  819. @list='$(dist_sysconf_DATA)'; test -n "$(sysconfdir)" || list=; \
  820. files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  821. dir='$(DESTDIR)$(sysconfdir)'; $(am__uninstall_files_from_dir)
  822. ID: $(am__tagged_files)
  823. $(am__define_uniq_tagged_files); mkid -fID $$unique
  824. tags: tags-am
  825. TAGS: tags
  826. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  827. set x; \
  828. here=`pwd`; \
  829. $(am__define_uniq_tagged_files); \
  830. shift; \
  831. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  832. test -n "$$unique" || unique=$$empty_fix; \
  833. if test $$# -gt 0; then \
  834. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  835. "$$@" $$unique; \
  836. else \
  837. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  838. $$unique; \
  839. fi; \
  840. fi
  841. ctags: ctags-am
  842. CTAGS: ctags
  843. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  844. $(am__define_uniq_tagged_files); \
  845. test -z "$(CTAGS_ARGS)$$unique" \
  846. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  847. $$unique
  848. GTAGS:
  849. here=`$(am__cd) $(top_builddir) && pwd` \
  850. && $(am__cd) $(top_srcdir) \
  851. && gtags -i $(GTAGS_ARGS) "$$here"
  852. cscopelist: cscopelist-am
  853. cscopelist-am: $(am__tagged_files)
  854. list='$(am__tagged_files)'; \
  855. case "$(srcdir)" in \
  856. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  857. *) sdir=$(subdir)/$(srcdir) ;; \
  858. esac; \
  859. for i in $$list; do \
  860. if test -f "$$i"; then \
  861. echo "$(subdir)/$$i"; \
  862. else \
  863. echo "$$sdir/$$i"; \
  864. fi; \
  865. done >> $(top_builddir)/cscope.files
  866. distclean-tags:
  867. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  868. # Recover from deleted '.trs' file; this should ensure that
  869. # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  870. # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
  871. # to avoid problems with "make -n".
  872. .log.trs:
  873. rm -f $< $@
  874. $(MAKE) $(AM_MAKEFLAGS) $<
  875. # Leading 'am--fnord' is there to ensure the list of targets does not
  876. # expand to empty, as could happen e.g. with make check TESTS=''.
  877. am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  878. am--force-recheck:
  879. @:
  880. $(TEST_SUITE_LOG): $(TEST_LOGS)
  881. @$(am__set_TESTS_bases); \
  882. am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  883. redo_bases=`for i in $$bases; do \
  884. am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  885. done`; \
  886. if test -n "$$redo_bases"; then \
  887. redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  888. redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  889. if $(am__make_dryrun); then :; else \
  890. rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  891. fi; \
  892. fi; \
  893. if test -n "$$am__remaking_logs"; then \
  894. echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  895. "recursion detected" >&2; \
  896. elif test -n "$$redo_logs"; then \
  897. am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  898. fi; \
  899. if $(am__make_dryrun); then :; else \
  900. st=0; \
  901. errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  902. for i in $$redo_bases; do \
  903. test -f $$i.trs && test -r $$i.trs \
  904. || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  905. test -f $$i.log && test -r $$i.log \
  906. || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  907. done; \
  908. test $$st -eq 0 || exit 1; \
  909. fi
  910. @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  911. ws='[ ]'; \
  912. results=`for b in $$bases; do echo $$b.trs; done`; \
  913. test -n "$$results" || results=/dev/null; \
  914. all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
  915. pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
  916. fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
  917. skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
  918. xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  919. xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  920. error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  921. if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  922. success=true; \
  923. else \
  924. success=false; \
  925. fi; \
  926. br='==================='; br=$$br$$br$$br$$br; \
  927. result_count () \
  928. { \
  929. if test x"$$1" = x"--maybe-color"; then \
  930. maybe_colorize=yes; \
  931. elif test x"$$1" = x"--no-color"; then \
  932. maybe_colorize=no; \
  933. else \
  934. echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  935. fi; \
  936. shift; \
  937. desc=$$1 count=$$2; \
  938. if test $$maybe_colorize = yes && test $$count -gt 0; then \
  939. color_start=$$3 color_end=$$std; \
  940. else \
  941. color_start= color_end=; \
  942. fi; \
  943. echo "$${color_start}# $$desc $$count$${color_end}"; \
  944. }; \
  945. create_testsuite_report () \
  946. { \
  947. result_count $$1 "TOTAL:" $$all "$$brg"; \
  948. result_count $$1 "PASS: " $$pass "$$grn"; \
  949. result_count $$1 "SKIP: " $$skip "$$blu"; \
  950. result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  951. result_count $$1 "FAIL: " $$fail "$$red"; \
  952. result_count $$1 "XPASS:" $$xpass "$$red"; \
  953. result_count $$1 "ERROR:" $$error "$$mgn"; \
  954. }; \
  955. { \
  956. echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
  957. $(am__rst_title); \
  958. create_testsuite_report --no-color; \
  959. echo; \
  960. echo ".. contents:: :depth: 2"; \
  961. echo; \
  962. for b in $$bases; do echo $$b; done \
  963. | $(am__create_global_log); \
  964. } >$(TEST_SUITE_LOG).tmp || exit 1; \
  965. mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
  966. if $$success; then \
  967. col="$$grn"; \
  968. else \
  969. col="$$red"; \
  970. test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
  971. fi; \
  972. echo "$${col}$$br$${std}"; \
  973. echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}"; \
  974. echo "$${col}$$br$${std}"; \
  975. create_testsuite_report --maybe-color; \
  976. echo "$$col$$br$$std"; \
  977. if $$success; then :; else \
  978. echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
  979. if test -n "$(PACKAGE_BUGREPORT)"; then \
  980. echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
  981. fi; \
  982. echo "$$col$$br$$std"; \
  983. fi; \
  984. $$success || exit 1
  985. check-TESTS: $(dist_check_SCRIPTS)
  986. @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
  987. @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  988. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  989. @set +e; $(am__set_TESTS_bases); \
  990. log_list=`for i in $$bases; do echo $$i.log; done`; \
  991. trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  992. log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  993. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  994. exit $$?;
  995. recheck: all $(dist_check_SCRIPTS)
  996. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  997. @set +e; $(am__set_TESTS_bases); \
  998. bases=`for i in $$bases; do echo $$i; done \
  999. | $(am__list_recheck_tests)` || exit 1; \
  1000. log_list=`for i in $$bases; do echo $$i.log; done`; \
  1001. log_list=`echo $$log_list`; \
  1002. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  1003. am__force_recheck=am--force-recheck \
  1004. TEST_LOGS="$$log_list"; \
  1005. exit $$?
  1006. tst-pam_env.log: tst-pam_env
  1007. @p='tst-pam_env'; \
  1008. b='tst-pam_env'; \
  1009. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  1010. --log-file $$b.log --trs-file $$b.trs \
  1011. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  1012. "$$tst" $(AM_TESTS_FD_REDIRECT)
  1013. .test.log:
  1014. @p='$<'; \
  1015. $(am__set_b); \
  1016. $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  1017. --log-file $$b.log --trs-file $$b.trs \
  1018. $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  1019. "$$tst" $(AM_TESTS_FD_REDIRECT)
  1020. @am__EXEEXT_TRUE@.test$(EXEEXT).log:
  1021. @am__EXEEXT_TRUE@ @p='$<'; \
  1022. @am__EXEEXT_TRUE@ $(am__set_b); \
  1023. @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  1024. @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
  1025. @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  1026. @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
  1027. distdir: $(BUILT_SOURCES)
  1028. $(MAKE) $(AM_MAKEFLAGS) distdir-am
  1029. distdir-am: $(DISTFILES)
  1030. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  1031. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  1032. list='$(DISTFILES)'; \
  1033. dist_files=`for file in $$list; do echo $$file; done | \
  1034. sed -e "s|^$$srcdirstrip/||;t" \
  1035. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  1036. case $$dist_files in \
  1037. */*) $(MKDIR_P) `echo "$$dist_files" | \
  1038. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  1039. sort -u` ;; \
  1040. esac; \
  1041. for file in $$dist_files; do \
  1042. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  1043. if test -d $$d/$$file; then \
  1044. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  1045. if test -d "$(distdir)/$$file"; then \
  1046. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  1047. fi; \
  1048. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  1049. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  1050. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  1051. fi; \
  1052. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  1053. else \
  1054. test -f "$(distdir)/$$file" \
  1055. || cp -p $$d/$$file "$(distdir)/$$file" \
  1056. || exit 1; \
  1057. fi; \
  1058. done
  1059. check-am: all-am
  1060. $(MAKE) $(AM_MAKEFLAGS) $(dist_check_SCRIPTS)
  1061. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  1062. check: check-am
  1063. all-am: Makefile $(LTLIBRARIES) $(MANS) $(DATA)
  1064. installdirs:
  1065. for dir in "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(man5dir)" "$(DESTDIR)$(man8dir)" "$(DESTDIR)$(secureconfdir)" "$(DESTDIR)$(sysconfdir)"; do \
  1066. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  1067. done
  1068. install: install-am
  1069. install-exec: install-exec-am
  1070. install-data: install-data-am
  1071. uninstall: uninstall-am
  1072. install-am: all-am
  1073. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  1074. installcheck: installcheck-am
  1075. install-strip:
  1076. if test -z '$(STRIP)'; then \
  1077. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1078. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1079. install; \
  1080. else \
  1081. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1082. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1083. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  1084. fi
  1085. mostlyclean-generic:
  1086. -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  1087. -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  1088. -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1089. clean-generic:
  1090. -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  1091. distclean-generic:
  1092. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  1093. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  1094. maintainer-clean-generic:
  1095. @echo "This command is intended for maintainers to use"
  1096. @echo "it deletes files that may require special tools to rebuild."
  1097. -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
  1098. clean: clean-am
  1099. clean-am: clean-generic clean-libtool clean-securelibLTLIBRARIES \
  1100. mostlyclean-am
  1101. distclean: distclean-am
  1102. -rm -f ./$(DEPDIR)/pam_env.Plo
  1103. -rm -f Makefile
  1104. distclean-am: clean-am distclean-compile distclean-generic \
  1105. distclean-tags
  1106. dvi: dvi-am
  1107. dvi-am:
  1108. html: html-am
  1109. html-am:
  1110. info: info-am
  1111. info-am:
  1112. install-data-am: install-dist_secureconfDATA install-man \
  1113. install-securelibLTLIBRARIES
  1114. install-dvi: install-dvi-am
  1115. install-dvi-am:
  1116. install-exec-am: install-dist_sysconfDATA
  1117. install-html: install-html-am
  1118. install-html-am:
  1119. install-info: install-info-am
  1120. install-info-am:
  1121. install-man: install-man5 install-man8
  1122. install-pdf: install-pdf-am
  1123. install-pdf-am:
  1124. install-ps: install-ps-am
  1125. install-ps-am:
  1126. installcheck-am:
  1127. maintainer-clean: maintainer-clean-am
  1128. -rm -f ./$(DEPDIR)/pam_env.Plo
  1129. -rm -f Makefile
  1130. maintainer-clean-am: distclean-am maintainer-clean-generic
  1131. mostlyclean: mostlyclean-am
  1132. mostlyclean-am: mostlyclean-compile mostlyclean-generic \
  1133. mostlyclean-libtool
  1134. pdf: pdf-am
  1135. pdf-am:
  1136. ps: ps-am
  1137. ps-am:
  1138. uninstall-am: uninstall-dist_secureconfDATA uninstall-dist_sysconfDATA \
  1139. uninstall-man uninstall-securelibLTLIBRARIES
  1140. uninstall-man: uninstall-man5 uninstall-man8
  1141. .MAKE: check-am install-am install-strip
  1142. .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
  1143. check-am clean clean-generic clean-libtool \
  1144. clean-securelibLTLIBRARIES cscopelist-am ctags ctags-am \
  1145. distclean distclean-compile distclean-generic \
  1146. distclean-libtool distclean-tags distdir dvi dvi-am html \
  1147. html-am info info-am install install-am install-data \
  1148. install-data-am install-dist_secureconfDATA \
  1149. install-dist_sysconfDATA install-dvi install-dvi-am \
  1150. install-exec install-exec-am install-html install-html-am \
  1151. install-info install-info-am install-man install-man5 \
  1152. install-man8 install-pdf install-pdf-am install-ps \
  1153. install-ps-am install-securelibLTLIBRARIES install-strip \
  1154. installcheck installcheck-am installdirs maintainer-clean \
  1155. maintainer-clean-generic mostlyclean mostlyclean-compile \
  1156. mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
  1157. recheck tags tags-am uninstall uninstall-am \
  1158. uninstall-dist_secureconfDATA uninstall-dist_sysconfDATA \
  1159. uninstall-man uninstall-man5 uninstall-man8 \
  1160. uninstall-securelibLTLIBRARIES
  1161. .PRECIOUS: Makefile
  1162. @ENABLE_REGENERATE_MAN_TRUE@environment.5: pam_env.conf.5.xml
  1163. @ENABLE_REGENERATE_MAN_TRUE@-include $(top_srcdir)/Make.xml.rules
  1164. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  1165. # Otherwise a system limit (for SysV at least) may be exceeded.
  1166. .NOEXPORT: